package com.chinacreator.process.bean;



/**
 * <p>Description:用户订购产品 </p>
 * <p>Copyright: Copyright (c) 2013</p>
 * <p>Company: Chinacreator（长沙科创集成）</p>
 * <p>creationTime: 2013-3-22</p>
 * @author qiuhai.fan
 * @version 1.0
 */
public class VacOrderItem {
	
	/**
	 * 使用方用户号码，默认与定购方相同，用户赠送时为受赠方号码
	 */
	private String da;
	
	/**
	 * 0表示手机号码
	 */
	private int daType;
	
	/**
	 * 保留字段，填空
	 */
	private String fa;
	
	/**
	 * 0表示手机号码
	 */
	private int faType;
	
	/**
	 * 如果idtype为0，为产品id
	 */
	private String id;
	
	/**
	 * 0表示产品，1表示套餐
	 */
	private int idType;
	
	/**
	 * 订购方手机号码
	 */
	private String oa;
	
	/**
	 * 0表示手机号码
	 */
	private int oaType;
	
	/**
	 * 用户所属的集团ID，集团为集团成员定购时填写
	 */
	private String coreId;
	
	/**
	 * 生效时间
	 */
	private String effectiveTime;
	
	/**
	 * 失效时间
	 */
	private String expireTime;
	
	/**
	 * 保留字段，填空
	 */
	private String resumeTime;
	
	/**
	 * 状态，0表示正常
	 */
	private int status;
	
	/**
	 * 订购时间
	 */
	private String subscribeTime;
	
	/**
	 * 保留字段，填空
	 */
	private String suspendTime;

	public String getDa() {
		return da;
	}

	public int getDaType() {
		return daType;
	}

	public String getFa() {
		return fa;
	}

	public int getFaType() {
		return faType;
	}

	public String getId() {
		return id;
	}

	public int getIdType() {
		return idType;
	}

	public String getOa() {
		return oa;
	}

	public int getOaType() {
		return oaType;
	}

	public String getCoreId() {
		return coreId;
	}

	public String getEffectiveTime() {
		return effectiveTime;
	}

	public String getExpireTime() {
		return expireTime;
	}

	public String getResumeTime() {
		return resumeTime;
	}

	public int getStatus() {
		return status;
	}

	public String getSubscribeTime() {
		return subscribeTime;
	}

	public String getSuspendTime() {
		return suspendTime;
	}

	public void setDa(String da) {
		this.da = da;
	}

	public void setDaType(int daType) {
		this.daType = daType;
	}

	public void setFa(String fa) {
		this.fa = fa;
	}

	public void setFaType(int faType) {
		this.faType = faType;
	}

	public void setId(String id) {
		this.id = id;
	}

	public void setIdType(int idType) {
		this.idType = idType;
	}

	public void setOa(String oa) {
		this.oa = oa;
	}

	public void setOaType(int oaType) {
		this.oaType = oaType;
	}

	public void setCoreId(String coreId) {
		this.coreId = coreId;
	}

	public void setEffectiveTime(String effectiveTime) {
		this.effectiveTime = effectiveTime;
	}

	public void setExpireTime(String expireTime) {
		this.expireTime = expireTime;
	}

	public void setResumeTime(String resumeTime) {
		this.resumeTime = resumeTime;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public void setSubscribeTime(String subscribeTime) {
		this.subscribeTime = subscribeTime;
	}

	public void setSuspendTime(String suspendTime) {
		this.suspendTime = suspendTime;
	}

	@Override
	public String toString() {
		return "VacOrderItem [da=" + da + ", daType=" + daType + ", fa=" + fa
				+ ", faType=" + faType + ", id=" + id + ", idType=" + idType
				+ ", oa=" + oa + ", oaType=" + oaType + ", coreId=" + coreId
				+ ", effectiveTime=" + effectiveTime + ", expireTime="
				+ expireTime + ", resumeTime=" + resumeTime + ", status="
				+ status + ", subscribeTime=" + subscribeTime
				+ ", suspendTime=" + suspendTime + "]";
	}

	
}
